## GnomeDbDsnConfigDruid

GnomeDbDsnConfigDruid — a Druid to add a new datasource

## Synopsis

                GnomeDbDsnConfigDruidPrivate;
    GtkWidget*  gnome_db_dsn_config_druid_new   (void);
    const GdaDataSourceInfo* gnome_db_dsn_config_druid_get_dsn
                                                (GnomeDbDsnConfigDruid *druid);

## Description

The GnomeDbDsnConfigDruid widget provides an easy way for users to declare new data sources. If the selected provider for the data source supports it, then a new database can be created if the user needs it.

## Details

### GnomeDbDsnConfigDruidPrivate

    typedef struct _GnomeDbDsnConfigDruidPrivate GnomeDbDsnConfigDruidPrivate;

### gnome_db_dsn_config_druid_new ()

    GtkWidget*  gnome_db_dsn_config_druid_new   (void);

Returns : |

### gnome_db_dsn_config_druid_get_dsn ()

    const GdaDataSourceInfo* gnome_db_dsn_config_druid_get_dsn
                                                (GnomeDbDsnConfigDruid *druid);

`druid` : |
Returns : |